## ipe 7.0.10

=== src/Makefile ===
# --------------------------------------------------------------------
# Makefile for building all components of Ipe
# --------------------------------------------------------------------

GOAL ?= all

subdirs = \
	ipelib \
	ipelets/image \
	ipelets/lua \
	ipetoipe \
	ipe6upgrade \
	ipeextract \
	ipecairo \
	iperender \
	ipeqtcanvas \
	ipeview \
	ipelua \
	ipeui \
	ipe

.PHONY: all $(subdirs)

all: $(subdirs)

ipetoipe: ipelib
ipelets/kgon: ipelib
ipelets/image: ipelib
ipelets/qvoronoi: ipelib
ipe6update: ipelib
ipeextract: ipelib
ipecairo: ipelib
iperender: ipelib ipecairo
ipeqtcanvas: ipelib ipecairo
ipeview: ipeqtcanvas
ipelua: ipelib
ipe: ipeqtcanvas ipelua

$(subdirs):
	$(MAKE) --directory=$@ $(GOAL)

.PHONY: clean install
clean:
	$(MAKE)	GOAL=clean

install: all
	$(MAKE) GOAL=install

# --------------------------------------------------------------------

=== src/ipe/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipe
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipe
include ../common.mak

TARGET = $(call exe_target,ipe)

CPPFLAGS += -I../include -I../ipeqtcanvas -I../ipecairo -I../ipelua \
	$(LUA_CFLAGS) $(QT_CFLAGS) $(CAIRO_CFLAGS) $(ZLIB_CFLAGS)
LIBS += -L$(buildlib) -lipeqtcanvas -lipecairo -lipelua -lipe -lipeui \
	$(LUA_LIBS) $(QT_LIBS) $(CAIRO_LIBS)

CPPFLAGS += -DIPELETPATH=\"$(IPELETPATH)\"
CPPFLAGS += -DIPELUAPATH=\"$(IPELUAPATH)\"
CPPFLAGS += -DIPEICONDIR=\"$(IPEICONDIR)\"
CPPFLAGS += -DIPEDOCDIR=\"$(IPEDOCDIR)\"
CPPFLAGS += -DIPESTYLES=\"$(IPESTYLES)\"

all: $(TARGET)

sources	= main.cpp appui.cpp tools.cpp lfs.cpp uilua.cpp
moc_headers = appui.h

ifdef WIN32
CXXFLAGS += -mwindows
LDFLAGS  += -mwindows

resource = $(OBJDIR)/res.o

$(resource): ipe.rc
	windres -i ipe.rc -o $@ --include-dir=.

else
resource = 
endif

$(TARGET): $(objects) $(resource)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEMANDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEDOCDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELUADIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPESTYLES) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEICONDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_SCRIPTS) ../../scripts/ipe-update-master \
			    $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_FILES) ../../man/*.1 $(INSTALL_ROOT)$(IPEMANDIR) 
	$(INSTALL_FILES) ../../build/doc/* $(INSTALL_ROOT)$(IPEDOCDIR)
	$(INSTALL_FILES) lua/*.lua $(INSTALL_ROOT)$(IPELUADIR)
	$(INSTALL_FILES) ../../styles/basic.isy $(INSTALL_ROOT)$(IPESTYLES)
	$(INSTALL_FILES) ../../styles/colors.isy $(INSTALL_ROOT)$(IPESTYLES)
	$(INSTALL_FILES) ../../styles/presentation.isy \
			 $(INSTALL_ROOT)$(IPESTYLES)
	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)

# --------------------------------------------------------------------

=== src/ipecairo/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipecairo
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipecairo
include ../common.mak

TARGET = $(call dll_target,ipecairo)
MAKE_SYMLINKS = $(call dll_symlinks,ipecairo)
SONAME = $(call soname,ipecairo)
INSTALL_SYMLINKS = $(call install_symlinks,ipecairo)

CPPFLAGS += -I../include $(CAIRO_CFLAGS) $(FREETYPE_CFLAGS)
LIBS += -L$(buildlib) -lipe $(CAIRO_LIBS) $(FREETYPE_LIBS)
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= \
	ipecairopainter.cpp \
	ipefonts.cpp	\
	ipestdfonts.cpp	   

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipelib/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipelib
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipelib
include ../common.mak

TARGET = $(call dll_target,ipe)
MAKE_SYMLINKS = $(call dll_symlinks,ipe)
SONAME = $(call soname,ipe)
INSTALL_SYMLINKS = $(call install_symlinks,ipe)

CPPFLAGS += -I../include  
ifndef WIN32
CPPFLAGS += -DIPEFONTMAP=\"$(IPEFONTMAP)\"
endif
CPPFLAGS += $(ZLIB_CFLAGS)
CXXFLAGS += $(DLL_CFLAGS)
LIBS += $(ZLIB_LIBS)

all: $(TARGET)

sources	= \
	ipebase.cpp \
	ipeplatform.cpp \
	ipegeo.cpp \
	ipexml.cpp \
	ipeattributes.cpp \
	ipebitmap.cpp \
	ipedct.cpp \
	ipeshape.cpp \
	ipegroup.cpp \
	ipeimage.cpp \
	ipetext.cpp \
	ipepath.cpp \
	ipereference.cpp \
	ipeobject.cpp \
	ipefactory.cpp \
	ipestdstyles.cpp \
	ipeiml.cpp \
	ipepage.cpp \
	ipepainter.cpp \
	ipepdfparser.cpp \
	ipepdfwriter.cpp \
	ipepswriter.cpp \
	ipestyle.cpp \
	ipesnap.cpp \
	ipeutils.cpp \
	ipelatex.cpp \
	ipedoc.cpp

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEHEADERDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_FILES) ../include/*.h $(INSTALL_ROOT)$(IPEHEADERDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipelua/Makefile ===
# --------------------------------------------------------------------
# Makefile for Lua bindings for ipe
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipelua
include ../common.mak

TARGET = $(call dll_target,ipelua)
MAKE_SYMLINKS = $(call dll_symlinks,ipelua)
SONAME = $(call soname,ipelua)
INSTALL_SYMLINKS = $(call install_symlinks,ipelua)

CPPFLAGS += -I../include $(LUA_CFLAGS) $(QT_CFLAGS)
LIBS += -L$(buildlib) -lipe $(LUA_LIBS) $(QT_LIBS)
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= \
	ipelib.cpp \
	ipeluageo.cpp \
	ipeluaobj.cpp \
	ipeluastyle.cpp \
	ipeluapage.cpp \
	ipeluaipelet.cpp

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipeqtcanvas/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipeqtcanvas
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipeqtcanvas
include ../common.mak

TARGET = $(call dll_target,ipeqtcanvas)
MAKE_SYMLINKS = $(call dll_symlinks,ipeqtcanvas)
SONAME = $(call soname,ipeqtcanvas)
INSTALL_SYMLINKS = $(call install_symlinks,ipeqtcanvas)

CPPFLAGS += -I../include -I../ipecairo $(CAIRO_CFLAGS) $(QT_CFLAGS)
LIBS += -L$(buildlib) -lipecairo -lipe $(CAIRO_LIBS) $(QT_LIBS)
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= ipeqtcanvas.cpp ipetool.cpp
moc_headers = ipeqtcanvas.h

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipeui/Makefile ===
# --------------------------------------------------------------------
# Makefile for ipeui
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipeui
include ../common.mak

TARGET = $(call dll_target,ipeui)
MAKE_SYMLINKS = $(call dll_symlinks,ipeui)
SONAME = $(call soname,ipeui)
INSTALL_SYMLINKS = $(call install_symlinks,ipeui)

CPPFLAGS += $(QT_CFLAGS) $(LUA_CFLAGS) 
LIBS += $(QT_LIBS) $(LUA_LIBS)
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= ipeui.cpp
moc_headers = ipeui.h

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipeview/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipeview
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipeview
include ../common.mak

TARGET = $(call exe_target,ipeview)

CPPFLAGS += -I../include -I../ipeqtcanvas $(QT_CFLAGS)
LIBS += -L$(buildlib) -lipeqtcanvas -lipecairo -lipe \
	$(QT_LIBS) $(CAIRO_LIBS)

all: $(TARGET)

sources	= ipeview.cpp
moc_headers = ipeview.h

ifdef WIN32
CXXFLAGS += -mwindows
LDFLAGS  += -mwindows

resource = $(OBJDIR)/res.o

$(resource): ipeview.rc
	windres -i ipeview.rc -o $@ --include-dir=../ipe

else
resource = 
endif

$(TARGET): $(objects) $(resource)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

# --------------------------------------------------------------------

=== debian/changelog ===
ipe (7.0.10-2) unstable; urgency=low

  * control(ipe): Change dependency on lua interpreter (lua5.1) from
    depends to recommends.  Closes: #561721.
  
  * patches/build-nostrip.patch: New.  Install in staging directory
    without stripping, so that DEB_BUILD_OPTION 'nostrip' can be honoured.
    Closes: #437230.
  
  * rules: Install fontmap.xml correctly. Install ipe.so symlink in lua's
    package.cpath so that lua scripts can find ipe.  Closes: #562785.

 -- Steve M. Robbins <smr@debian.org>  Sun, 27 Dec 2009 18:11:32 -0600

ipe (7.0.10-1) unstable; urgency=low

  * New upstream.  Closes: #551192.
    - New build-depends: libcairo2-dev, liblua5.1-0-dev, gsfonts
    - patches/config.diff: Remove.  Upstream build system replaced.
    - Runtime lib package changed to libipe7.0.10 from libipe1c2a
    - Devel package renamed to libipe-dev (from libipe1-dev)
    - Package ipe depends on lua5.1 due to ipe-update-master.
  
  * rules: Re-write to use dh.

 -- Steve M. Robbins <smr@debian.org>  Fri, 11 Dec 2009 21:22:35 -0600

ipe (6.0pre32patch1-1) unstable; urgency=low

  * New upstream.
    - debian/patches/fix-version.diff: Remove.  Applied upstream.
    - debian/control: Remove conflicts with libfreetype6; upstream has
      removed run-time checks.

 -- Steve M. Robbins <smr@debian.org>  Sat, 09 May 2009 12:15:53 -0500

ipe (6.0pre32-2) unstable; urgency=low

  * debian/control: Update to build with freetype 2.3.9.  Update
    Standards-Version to 3.8.1.0; no changes required.

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 Mar 2009 00:09:40 -0500

ipe (6.0pre32-1) unstable; urgency=low

  * New upstream.
    - debian/patches/fix-version.diff: New.  Set IPEVERS correctly.
    - debian/patches/update-webpages.diff: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 30 Nov 2008 22:10:26 -0600

ipe (6.0pre31-1) unstable; urgency=low

  * New upstream.
    - debian/patches/gcc43.diff
    - debian/patches/ipe-bug-253.diff:
    - debian/patches/decimal-point.patch: Remove.  Applied upstream.
    - debian/patches/config.diff: Remove IPEBROWSER hunk; upstream changed
      it to sensible-browser.

 -- Steve M. Robbins <smr@debian.org>  Fri, 07 Nov 2008 04:25:40 -0600

ipe (6.0pre30-6) unstable; urgency=low

  * debian/rules: Support parallel builds.  Grep src/config.pri for
    IPEVERS, rather than including it.  Closes: #482748.  Ensure source
    cleaned before unapplying quilt patches.
  
  * Convert existing sources changes to quilt series; new patches:
    - debian/patches/update-webpages.diff
    - debian/patches/config.diff
    - debian/patches/ipe-bug-253.diff
    - debian/patches/gcc43.diff

 -- Steve M. Robbins <smr@debian.org>  Fri, 07 Nov 2008 03:35:01 -0600

ipe (6.0pre30-5) unstable; urgency=low

  * debian/control: Adjust dependencies for freetype 2.3.7.  Replace
    recommends of "latex-ucs" by "texlive-latex-recommended".

 -- Steve M. Robbins <smr@debian.org>  Fri, 04 Jul 2008 21:59:45 -0500

ipe (6.0pre30-4) unstable; urgency=low

  * debian/control: Adjust dependencies for new freetype version.  Closes:
    #487041.  Remove (now obsolete) tetex-bin alternative from ipe
    dependencies.  Update to standards version 3.8.0.0.
  
  * debian/ipe.doc-base: Change section from Apps/Graphics to Graphics.

 -- Steve M. Robbins <smr@debian.org>  Thu, 19 Jun 2008 10:01:56 -0500

ipe (6.0pre30-3) unstable; urgency=low

  * debian/control:
  * debian/rules: Build using quilt.

  * debian/patches/decimal-point.patch: Set the LC_NUMERIC to "C" at
    program startup, to ensure decimal point is a period, not a comma.
    Closes: #480659.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 May 2008 23:00:04 -0500

ipe (6.0pre30-2) unstable; urgency=low

  * debian/control: Merge repeated Conflicts line for libipe1c2a.  Closes:
    #464303.  Add Homepage field; remove homepage from ipe description.
    Add sharutils build-dep.  Upgrade to standards-version 3.7.3; no
    changes required.  Switch from substvar Source-Version to
    binary:Version.

  * debian/rules: Install desktop file and icon.  Closes: #451022.  Note
    that I'm not applying the stylesheet part of the patch.
  
  * src/ipelib/ipedct.cpp:
  * src/ipelib/ipepdfwriter.cpp: Include <cstring>, to build with GCC 4.3
    (thanks brian m. carlson).  Closes: #454844.
  
  * src/ipecanvas/ipecanvaspainter.cpp:
  * src/ipecanvas/ipecanvaspainter.h:
  * src/ipecanvas/ipefonts.cpp:
  * src/ipelib/ipepdfparser.cpp: Applied patch dated 2007-12-14 for Ipe
    bug 253 (see http://http.theano.de/bugzilla).  Closes: #455247.

  * ipe/menu.ipe: Change from section Apps/ to section Applications/ per
    menu documentation.
  
 -- Steve M. Robbins <smr@debian.org>  Thu, 07 Feb 2008 00:49:24 -0600

ipe (6.0pre30-1) unstable; urgency=low

  * New upstream version.
    - Ipe now works with pdftex 1.40 (in MikTeX 2.6 and texlive 2007).
      Closes: #432043.

  * debian/control: Update download URL.  Closes: #433309.

 -- Steve M. Robbins <smr@debian.org>  Sun, 09 Dec 2007 07:24:19 -0600

ipe (6.0pre28-4) unstable; urgency=low

  * debian/control: Update depends and conflicts to new freetype (version
    2.3.5).  Closes: #432476.
  
  * debian/control: Add (<< 2007) to dependency on texlive-latex-base,
    since ipe can't cope with the output of version 1.40 of Pdflatex
    (included in in TexLive 2007).  Closes: #432043.
  
  * Update homepage URL.  Closes: #427388.
  
  * src/config.pri: Remove -Werror as upstream suggests
    (http://s105.theano.de/cgi-bin/bugzilla/show_bug.cgi?id=227).  Closes:
    #417675.

 -- Steve M. Robbins <smr@debian.org>  Tue, 10 Jul 2007 23:23:09 -0500

ipe (6.0pre28-3) unstable; urgency=low

  * Apply patch http://tclab.kaist.ac.kr/ipe/pdftex1.40patches.zip
  to enable Ipe to parse output of new pdftex 1.40.  See
  http://mail.cs.uu.nl/pipermail/ipe-discuss/2007-February/000622.html

 -- Steve M. Robbins <smr@debian.org>  Thu, 19 Apr 2007 20:26:00 -0500

ipe (6.0pre28-2) unstable; urgency=low



=== debian/control ===
Source: ipe
Homepage: http://tclab.kaist.ac.kr/ipe/
Section: graphics
Priority: optional
Maintainer: Steve M. Robbins <smr@debian.org>
Build-Depends: sharutils, debhelper (>= 7.0.50~), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
Build-Conflicts: libipe1-dev
Standards-Version: 3.8.3.0

Package: ipe
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, texlive-latex-base, gsfonts
Recommends: lua5.1
Suggests: texlive-latex-recommended
Description: drawing editor for creating figures in PDF or PS formats
 Ipe supports making small figures for inclusion into LaTeX
 documents as well as making multi-page PDF presentations
 Ipe's main features are:
  * Entry of text as LaTeX source code. This makes it easy to enter
    mathematical expressions, and to reuse the LaTeX-macros of the main
    document.  In the display text is displayed as it will appear in
    the figure.
  * Produces pure Postscript/PDF, including the text. Ipe converts the
    LaTeX-source to PDF or Postscript when the file is saved.
  * It is easy to align objects with respect to each other (for
    instance, to place a point on the intersection of two lines, or to
    draw a circle through three given points) using various snapping
    modes.
  * Users can provide ipelets (Ipe plug-ins) to add functionality to
    Ipe.  This way, Ipe can be extended for each task at hand.
  * The text model is based on Unicode, and has been tested with Korean,
     Chinese, and Japanese.
 .
 Package lua5.1 is recommended if using Ipe with LaTeX.
 .
 Package texlive-latex-recommended enables unicode text entry (for
 accented characters).

Package: libipe7.0.10
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ipe library used by ipelets
 This package provides a library used by Ipe and its extensions.
 Ipelets are plug-ins for Ipe that are used to add functionality to
 Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.

Package: libipe-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libipe7.0.10 (= ${binary:Version})
Conflicts: libipe1-dev
Replaces: libipe1-dev
Description: Ipe library used by ipelets (developer files)
 This package provides static libraries and include files needed to
 create Ipelets, plug-ins for Ipe that are used to add functionality
 to Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.

=== debian/rules ===
#!/usr/bin/make -f

export IPEPREFIX=/usr
export INSTALL_ROOT=$(shell pwd)/debian/tmp

IPEVER = 7.0.10

%:
	dh --sourcedirectory=src $@

install: fontmap.xml debian/ipetoipe

override_dh_install: fontmap.xml
	dh_install
	dh_install fontmap.xml usr/share/ipe/$(IPEVER)

override_dh_link:
	dh_link
	dh_link usr/share/ipe/$(IPEVER)/doc usr/share/doc/ipe/doc
	dh_link usr/lib/libipelua.so.$(IPEVER) usr/lib/lua/5.1/ipe.so

fontmap.xml: fontmaps/gsfonts-fontmap.xml
	cp $< $@

# TODO: install and use wrapper to avoid issue #405294.
debian/ipetoipe: debian/ipetoipe.sh
	sed < $< > $@ -e 's,xIPELIBDIRx,$(MYIPELIBDIR),'
	chmod +x $@

# TODO: do we need the icon?
ipe.png: debian/ipe.png.uu
	uudecode -o $@ $<

## ipe 7.0.14

=== src/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 ipelets/kgon: ipelib
 ipelets/image: ipelib
 ipelets/qvoronoi: ipelib
-ipe6update: ipelib
+ipe6upgrade: ipelib
 ipeextract: ipelib
 ipecairo: ipelib
 iperender: ipelib ipecairo

=== src/ipe/Makefile ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 all: $(TARGET)
 
-sources	= main.cpp appui.cpp tools.cpp lfs.cpp uilua.cpp
-moc_headers = appui.h
+sources	= main.cpp appui.cpp tools.cpp lfs.cpp uilua.cpp pagesorter.cpp
+moc_headers = appui.h pagesorter.h
 
 ifdef WIN32
 CXXFLAGS += -mwindows
@@ -63,6 +63,7 @@
 	$(INSTALL_FILES) lua/*.lua $(INSTALL_ROOT)$(IPELUADIR)
 	$(INSTALL_FILES) ../../styles/basic.isy $(INSTALL_ROOT)$(IPESTYLES)
 	$(INSTALL_FILES) ../../styles/colors.isy $(INSTALL_ROOT)$(IPESTYLES)
+	$(INSTALL_FILES) ../../styles/beamer.isy $(INSTALL_ROOT)$(IPESTYLES)
 	$(INSTALL_FILES) ../../styles/presentation.isy \
 			 $(INSTALL_ROOT)$(IPESTYLES)
 	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)

=== src/ipeqtcanvas/Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 
 all: $(TARGET)
 
-sources	= ipeqtcanvas.cpp ipetool.cpp
-moc_headers = ipeqtcanvas.h
+sources	= ipeqtcanvas.cpp ipetool.cpp ipeselector.cpp
+moc_headers = ipeqtcanvas.h ipeselector.h
 
 $(TARGET): $(objects)
 	$(MAKE_LIBDIR)
@@ -35,6 +35,9 @@
 install: $(TARGET)
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
 	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
+	$(INSTALL_FILES) ipeqtcanvas.h $(INSTALL_ROOT)$(IPEHEADERDIR)
+	$(INSTALL_FILES) ipetool.h $(INSTALL_ROOT)$(IPEHEADERDIR)
+	$(INSTALL_FILES) ipeselector.h $(INSTALL_ROOT)$(IPEHEADERDIR)
 	$(INSTALL_SYMLINKS)
 
 # --------------------------------------------------------------------

=== debian/changelog ===
ipe (7.0.14-1) unstable; urgency=low

  * New upstream.  Update control, rules.
  
  * libipe7.0.13.install:
  * ipe.links: Remove.  Replace with explicit calls in rules using
    $(IPEVERS).  Fixes lua link.  Closes: #611560.

 -- Steve M. Robbins <smr@debian.org>  Tue, 15 Feb 2011 23:06:48 -0600

ipe (7.0.13-1) UNRELEASED; urgency=low

  * New upstream.

  * Move to debian-science SVN repository.  Closes: #584408.

 -- Steve M. Robbins <smr@debian.org>  Mon, 03 Jan 2011 22:23:16 -0600

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Homepage: http://tclab.kaist.ac.kr/ipe/
 Section: graphics
 Priority: optional
-Maintainer: Steve M. Robbins <smr@debian.org>
-Build-Depends: sharutils, debhelper (>= 7.0.50~), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
+Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ipe/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/ipe/
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Steve M. Robbins <smr@debian.org>
+Build-Depends: sharutils, debhelper (>= 8), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
 Build-Conflicts: libipe1-dev
-Standards-Version: 3.8.3.0
+Standards-Version: 3.9.1
 
 Package: ipe
 Architecture: any
@@ -36,7 +39,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.0.10
+Package: libipe7.0.14
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -50,7 +53,7 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.0.10 (= ${binary:Version})
+Depends: ${misc:Depends}, libipe7.0.14 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,17 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.0.10
+IPEVER = 7.0.14
 
 %:
-	dh --sourcedirectory=src $@
+	dh $@ --parallel --sourcedirectory=src
 
 install: fontmap.xml debian/ipetoipe
 
 override_dh_install: fontmap.xml
 	dh_install
 	dh_install fontmap.xml usr/share/ipe/$(IPEVER)
+	dh_install -plibipe$(IPEVER) debian/tmp/usr/lib/lib*.so.* usr/lib
 
 override_dh_link:
 	dh_link

## ipe 7.1.0

=== src/Makefile ===
--- 
+++ 
@@ -6,18 +6,20 @@
 
 subdirs = \
 	ipelib \
-	ipelets/image \
 	ipelets/lua \
 	ipetoipe \
 	ipe6upgrade \
 	ipeextract \
+	ipescript \
 	ipecairo \
 	iperender \
-	ipeqtcanvas \
+	ipecanvas \
 	ipeview \
 	ipelua \
 	ipeui \
 	ipe
+
+#	ipelets/image \
 
 .PHONY: all $(subdirs)
 
@@ -34,6 +36,7 @@
 ipeqtcanvas: ipelib ipecairo
 ipeview: ipeqtcanvas
 ipelua: ipelib
+ipescript: ipelib ipelua
 ipe: ipeqtcanvas ipelua
 
 $(subdirs):

=== src/ipe/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipe
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipe
include ../common.mak

TARGET = $(call exe_target,ipe)

CPPFLAGS += -I../include -I../ipecanvas -I../ipecairo -I../ipelua \
	$(LUA_CFLAGS) $(UI_CFLAGS) $(CAIRO_CFLAGS) $(ZLIB_CFLAGS)
LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipelua -lipe -lipeui \
	$(LUA_LIBS) $(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS)

CPPFLAGS += -DIPELETPATH=\"$(IPELETPATH)\"
CPPFLAGS += -DIPELUAPATH=\"$(IPELUAPATH)\"
CPPFLAGS += -DIPEICONDIR=\"$(IPEICONDIR)\"
CPPFLAGS += -DIPEDOCDIR=\"$(IPEDOCDIR)\"
CPPFLAGS += -DIPESTYLEDIR=\"$(IPESTYLEDIR)\"

all: $(TARGET)

sources	= main.cpp tools.cpp lfs.cpp appui.cpp uilua.cpp 
qt_sources = appui_qt.cpp controls_qt.cpp 
moc_headers = appui_qt.h controls_qt.h
win_sources = appui_win.cpp pathview_win.cpp
gtk_sources = appui_gtk.cpp

ifdef WIN32
CXXFLAGS += -mwindows
LDFLAGS  += -mwindows

resource = $(OBJDIR)/res.o

$(resource): ipe.rc
	$(WINDRES) -i ipe.rc -o $@ --include-dir=.

else
resource = 
endif

$(TARGET): $(objects) $(resource)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEMANDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEDOCDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELUADIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPESTYLEDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPESCRIPTDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEICONDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_SCRIPTS) ../../scripts/* $(INSTALL_ROOT)$(IPESCRIPTDIR)
	$(INSTALL_FILES) ../../man/*.1 $(INSTALL_ROOT)$(IPEMANDIR) 
	$(INSTALL_FILES) ../../build/doc/* $(INSTALL_ROOT)$(IPEDOCDIR)
	$(INSTALL_FILES) lua/*.lua $(INSTALL_ROOT)$(IPELUADIR)
	$(INSTALL_FILES) ../../styles/basic.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/colors.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/beamer.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/presentation.isy \
			 $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)

# --------------------------------------------------------------------

=== src/ipecanvas/Makefile ===
# --------------------------------------------------------------------
# Makefile for ipe::Canvas
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipecanvas
include ../common.mak

TARGET = $(call dll_target,ipecanvas)
MAKE_SYMLINKS = $(call dll_symlinks,ipecanvas)
SONAME = $(call soname,ipecanvas)
INSTALL_SYMLINKS = $(call install_symlinks,ipecanvas)

CPPFLAGS += -I../include -I../ipecairo $(CAIRO_CFLAGS) $(UI_CFLAGS)
LIBS += -L$(buildlib) -lipecairo -lipe $(CAIRO_LIBS) $(UI_LIBS)
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= ipetool.cpp ipecanvas.cpp
win_sources = ipecanvas_win.cpp
gtk_sources = ipecanvas_gtk.cpp
qt_sources = ipecanvas_qt.cpp ipeselector_qt.cpp
moc_headers = ipecanvas_qt.h ipeselector_qt.h

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_FILES) ipecanvas.h $(INSTALL_ROOT)$(IPEHEADERDIR)
	$(INSTALL_FILES) ipetool.h $(INSTALL_ROOT)$(IPEHEADERDIR)
# TODO	$(INSTALL_FILES) ipeselector.h $(INSTALL_ROOT)$(IPEHEADERDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipescript/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipescript
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipescript
include ../common.mak

TARGET = $(call exe_target,ipescript)

CPPFLAGS += -I../include -I../ipelua $(LUA_CFLAGS) 
LIBS += -L$(buildlib) -lipelua -lipe $(LUA_LIBS)

CPPFLAGS += -DIPESTYLEDIR=\"$(IPESTYLEDIR)\"
CPPFLAGS += -DIPESCRIPTDIR=\"$(IPESCRIPTDIR)\"

all: $(TARGET)

sources	= ipescript.cpp lfs.cpp

$(TARGET): $(objects)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR) 
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

# --------------------------------------------------------------------

=== debian/changelog ===
ipe (7.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Steve M. Robbins <smr@debian.org>  Tue, 30 Aug 2011 00:20:55 -0500

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.0.14
+Package: libipe7.1.0
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -53,7 +53,7 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.0.14 (= ${binary:Version})
+Depends: ${misc:Depends}, libipe7.1.0 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.0.14
+IPEVER = 7.1.0
 
 %:
-	dh $@ --parallel --sourcedirectory=src
+	dh $@ --sourcedirectory=src
 
 install: fontmap.xml debian/ipetoipe

## ipe 7.1.1

=== src/ipelets/image/Makefile ===
# --------------------------------------------------------------------
# Makefile for image ipelet
# --------------------------------------------------------------------

IPESRCDIR = ../..
OBJDIR = $(BUILDDIR)/obj/ipelets
DEPEND = $(OBJDIR)/image.depend
include ../../common.mak

TARGET = $(call ipelet_target,image)
LUASCRIPT = image.lua

CPPFLAGS += -I../../include $(QT_CFLAGS)
LIBS += -L$(buildlib) -lipe $(QT_LIBS)
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= image.cpp

$(TARGET): $(objects)
	$(MAKE_IPELETDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPT) $(INSTALL_ROOT)$(IPELETDIR)

# --------------------------------------------------------------------

=== src/ipelets/lua/Makefile ===
# --------------------------------------------------------------------
# Makefile for Lua ipelets (only for install)
# --------------------------------------------------------------------

IPESRCDIR = ../..
include ../../common.mak

LUASCRIPTS = move.lua goodies.lua align.lua euclid.lua \
	symbols.lua search-replace.lua

all: 

install: 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPTS) $(INSTALL_ROOT)$(IPELETDIR)

# --------------------------------------------------------------------

=== src/ipelets/qvoronoi/Makefile ===
# --------------------------------------------------------------------
# Makefile for qvoronoi ipelet
# --------------------------------------------------------------------

IPESRCDIR = ../..
OBJDIR = $(BUILDDIR)/obj/ipelets
DEPEND = $(OBJDIR)/qvoronoi.depend
include ../../common.mak

ifdef WIN32
QHULL_CFLAGS = -I../../../../qhull2002.1/src
QHULL_LIBS = -L../../../../qhull2002.1 -lqhull
else
QHULL_CFLAGS = -I../../../../qhull-2003.1/src
QHULL_LIBS = -L../../../../qhull-2003.1/src -lqhull
endif

TARGET = $(call ipelet_target,qvoronoi)
LUASCRIPT = qvoronoi.lua

CPPFLAGS += -I../../include $(QHULL_CFLAGS)
LIBS += -L$(buildlib) $(QHULL_LIBS) -lipe 
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= qvoronoi.cpp

$(TARGET): $(objects)
	$(MAKE_IPELETDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPT) $(INSTALL_ROOT)$(IPELETDIR)

# --------------------------------------------------------------------

=== debian/changelog ===
ipe (7.1.1-1) unstable; urgency=low

  * New upstream.
    - Re-enabled compilation of omitted image ipelet.  Closes: #651594
  
  * debian/patches/fPIC.patch: New.  Build using -fPIC instead of -fpic.
    Closes: #641082.

 -- Steve M. Robbins <smr@debian.org>  Sat, 10 Dec 2011 16:55:09 -0600

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: sharutils, debhelper (>= 8), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
 Build-Conflicts: libipe1-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: ipe
 Architecture: any
@@ -39,7 +39,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.1.0
+Package: libipe7.1.1
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -53,7 +53,7 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.1.0 (= ${binary:Version})
+Depends: ${misc:Depends}, libipe7.1.1 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.1.0
+IPEVER = 7.1.1
 
 %:
 	dh $@ --sourcedirectory=src

## ipe 7.1.2

=== src/ipelets/qvoronoi/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 # --------------------------------------------------------------------
 # Makefile for qvoronoi ipelet
+# Needs qhull library (www.qhull.org)
+# On Ubuntu:  apt-get install libqhull-dev
 # --------------------------------------------------------------------
 
 IPESRCDIR = ../..
@@ -11,8 +13,8 @@
 QHULL_CFLAGS = -I../../../../qhull2002.1/src
 QHULL_LIBS = -L../../../../qhull2002.1 -lqhull
 else
-QHULL_CFLAGS = -I../../../../qhull-2003.1/src
-QHULL_LIBS = -L../../../../qhull-2003.1/src -lqhull
+QHULL_CFLAGS = -I/usr/include/qhull
+QHULL_LIBS = -lqhull
 endif
 
 TARGET = $(call ipelet_target,qvoronoi)

=== debian/changelog ===
ipe (7.1.2-1) unstable; urgency=low

  * New upstream.
  
  * ipe.preinst: New.  Remove old directory /usr/share/doc/ipe/doc if it
    exists on upgrade.  That path is now a symlink, but linking fails if
    the directory is there.  Closes: #654922.

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 Jan 2012 22:33:06 -0600

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.1.1
+Package: libipe7.1.2
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -53,7 +53,7 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.1.1 (= ${binary:Version})
+Depends: ${misc:Depends}, libipe7.1.2 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.1.1
+IPEVER = 7.1.2
 
 %:
 	dh $@ --sourcedirectory=src

## ipe 7.1.3

=== debian/changelog ===
ipe (7.1.3-1) unstable; urgency=low

  * New upstream.  Update to standards-version 3.9.4, debhelper compat
    level 9.

 -- Steve M. Robbins <smr@debian.org>  Mon, 21 Jan 2013 00:11:36 -0600

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/ipe/
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
-Build-Depends: sharutils, debhelper (>= 8), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
+Build-Depends: sharutils, debhelper (>= 9), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
 Build-Conflicts: libipe1-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: ipe
 Architecture: any
@@ -39,7 +39,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.1.2
+Package: libipe7.1.3
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -53,7 +53,7 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.1.2 (= ${binary:Version})
+Depends: ${misc:Depends}, libipe7.1.3 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.1.2
+IPEVER = 7.1.3
 
 %:
 	dh $@ --sourcedirectory=src

## ipe 7.1.4

=== src/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 subdirs = \
 	ipelib \
 	ipelets/lua \
+	ipelets/image \
 	ipetoipe \
 	ipe6upgrade \
 	ipeextract \
@@ -18,8 +19,6 @@
 	ipelua \
 	ipeui \
 	ipe
-
-#	ipelets/image \
 
 .PHONY: all $(subdirs)
 
@@ -33,11 +32,11 @@
 ipeextract: ipelib
 ipecairo: ipelib
 iperender: ipelib ipecairo
-ipeqtcanvas: ipelib ipecairo
-ipeview: ipeqtcanvas
+ipecanvas: ipelib ipecairo
+ipeview: ipecanvas
 ipelua: ipelib
 ipescript: ipelib ipelua
-ipe: ipeqtcanvas ipelua
+ipe: ipecanvas ipelua
 
 $(subdirs):
 	$(MAKE) --directory=$@ $(GOAL)

=== src/ipe/Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipelua -lipe -lipeui \
 	$(LUA_LIBS) $(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS)
 
-CPPFLAGS += -DIPELETPATH=\"$(IPELETPATH)\"
-CPPFLAGS += -DIPELUAPATH=\"$(IPELUAPATH)\"
+CPPFLAGS += -DIPELETDIR=\"$(IPELETDIR)\"
+CPPFLAGS += -DIPELUADIR=\"$(IPELUADIR)\"
 CPPFLAGS += -DIPEICONDIR=\"$(IPEICONDIR)\"
 CPPFLAGS += -DIPEDOCDIR=\"$(IPEDOCDIR)\"
 CPPFLAGS += -DIPESTYLEDIR=\"$(IPESTYLEDIR)\"

=== src/ipecairo/Makefile ===
--- 
+++ 
@@ -19,7 +19,8 @@
 sources	= \
 	ipecairopainter.cpp \
 	ipefonts.cpp	\
-	ipestdfonts.cpp	   
+	ipestdfonts.cpp	\
+	ipethumbs.cpp
 
 $(TARGET): $(objects)
 	$(MAKE_LIBDIR)

=== src/ipecanvas/Makefile ===
--- 
+++ 
@@ -38,9 +38,7 @@
 install: $(TARGET)
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
 	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
-	$(INSTALL_FILES) ipecanvas.h $(INSTALL_ROOT)$(IPEHEADERDIR)
-	$(INSTALL_FILES) ipetool.h $(INSTALL_ROOT)$(IPEHEADERDIR)
-# TODO	$(INSTALL_FILES) ipeselector.h $(INSTALL_ROOT)$(IPEHEADERDIR)
+	$(INSTALL_FILES) *.h $(INSTALL_ROOT)$(IPEHEADERDIR)
 	$(INSTALL_SYMLINKS)
 
 # --------------------------------------------------------------------

=== src/ipelib/Makefile ===
--- 
+++ 
@@ -14,9 +14,9 @@
 ifndef WIN32
 CPPFLAGS += -DIPEFONTMAP=\"$(IPEFONTMAP)\"
 endif
-CPPFLAGS += $(ZLIB_CFLAGS)
+CPPFLAGS += $(IPE_USE_ICONV) $(ZLIB_CFLAGS) $(ICONV_CFLAGS)
 CXXFLAGS += $(DLL_CFLAGS)
-LIBS += $(ZLIB_LIBS)
+LIBS += $(ZLIB_LIBS) $(ICONV_LIBS)
 
 all: $(TARGET)

=== src/ipelua/Makefile ===
--- 
+++ 
@@ -10,8 +10,8 @@
 SONAME = $(call soname,ipelua)
 INSTALL_SYMLINKS = $(call install_symlinks,ipelua)
 
-CPPFLAGS += -I../include $(LUA_CFLAGS) $(QT_CFLAGS)
-LIBS += -L$(buildlib) -lipe $(LUA_LIBS) $(QT_LIBS)
+CPPFLAGS += -I../include $(LUA_CFLAGS)
+LIBS += -L$(buildlib) -lipe $(LUA_LIBS)
 CXXFLAGS += $(DLL_CFLAGS)
 
 all: $(TARGET)

=== src/ipescript/Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 CPPFLAGS += -I../include -I../ipelua $(LUA_CFLAGS) 
 LIBS += -L$(buildlib) -lipelua -lipe $(LUA_LIBS)
 
+CPPFLAGS += -DIPELETDIR=\"$(IPELETDIR)\"
 CPPFLAGS += -DIPESTYLEDIR=\"$(IPESTYLEDIR)\"
 CPPFLAGS += -DIPESCRIPTDIR=\"$(IPESCRIPTDIR)\"

=== src/ipeui/Makefile ===
--- 
+++ 
@@ -10,14 +10,17 @@
 SONAME = $(call soname,ipeui)
 INSTALL_SYMLINKS = $(call install_symlinks,ipeui)
 
-CPPFLAGS += $(QT_CFLAGS) $(LUA_CFLAGS) 
-LIBS += $(QT_LIBS) $(LUA_LIBS)
+CPPFLAGS += $(UI_CFLAGS) $(LUA_CFLAGS) 
+LIBS += $(UI_LIBS) $(LUA_LIBS)
 CXXFLAGS += $(DLL_CFLAGS)
 
 all: $(TARGET)
 
-sources	= ipeui.cpp
-moc_headers = ipeui.h
+sources = ipeui_common.cpp 
+qt_sources = ipeui_qt.cpp
+moc_headers = ipeui_qt.h
+win_sources = ipeui_win.cpp
+gtk_sources = ipeui_gtk.cpp
 
 $(TARGET): $(objects)
 	$(MAKE_LIBDIR)

=== src/ipelets/image/Makefile ===
--- 
+++ 
@@ -14,7 +14,11 @@
 LIBS += -L$(buildlib) -lipe $(QT_LIBS)
 CXXFLAGS += $(DLL_CFLAGS)
 
+ifndef IPEUI_QT
+all:
+else
 all: $(TARGET)
+endif
 
 sources	= image.cpp

=== src/ipelets/kgon/Makefile ===
# --------------------------------------------------------------------
# Makefile for kgon ipelet
# --------------------------------------------------------------------

IPESRCDIR = ../..
OBJDIR = $(BUILDDIR)/obj/ipelets
DEPEND = $(OBJDIR)/kgon.depend
include ../../common.mak

TARGET = $(call ipelet_target,kgon)
LUASCRIPT = kgon.lua

CPPFLAGS += -I../../include
LIBS += -L$(buildlib) -lipe
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= kgon.cpp

$(TARGET): $(objects)
	$(MAKE_IPELETDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPT) $(INSTALL_ROOT)$(IPELETDIR)

# --------------------------------------------------------------------

=== src/ipelets/qvoronoi/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # --------------------------------------------------------------------
 # Makefile for qvoronoi ipelet
 # Needs qhull library (www.qhull.org)
-# On Ubuntu:  apt-get install libqhull-dev
+# On Ubuntu/Debian:  apt-get install libqhull-dev
 # --------------------------------------------------------------------
 
 IPESRCDIR = ../..

=== debian/changelog ===
ipe (7.1.4-2) unstable; urgency=low

  * copyright: Updated with patch from Felix Geyer.  Closes: #729740.
  * patches/default-editor.patch: New.  Change hardcoded default editor
    (when EDITOR not defined) to "xterminal-emulator -e editor", as
    suggested by Francesco Poli.  Closes: #728480.

 -- Steve M. Robbins <smr@debian.org>  Sat, 30 Nov 2013 22:28:30 -0600

ipe (7.1.4-1) unstable; urgency=low

  * New upstream.  Closes: #703269.

 -- Steve M. Robbins <smr@debian.org>  Mon, 04 Nov 2013 23:10:27 -0600

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/ipe/
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
-Build-Depends: sharutils, debhelper (>= 9), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
+Build-Depends: sharutils, debhelper (>= 9), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.2-dev, gsfonts
 Build-Conflicts: libipe1-dev
 Standards-Version: 3.9.4
 
 Package: ipe
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, texlive-latex-base, gsfonts
-Recommends: lua5.1
+Recommends: lua5.2
 Suggests: texlive-latex-recommended
 Description: drawing editor for creating figures in PDF or PS formats
  Ipe supports making small figures for inclusion into LaTeX
@@ -34,12 +34,12 @@
   * The text model is based on Unicode, and has been tested with Korean,
      Chinese, and Japanese.
  .
- Package lua5.1 is recommended if using Ipe with LaTeX.
+ Package lua5.2 is recommended if using Ipe with LaTeX.
  .
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.1.3
+Package: libipe7.1.4
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -53,7 +53,7 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.1.3 (= ${binary:Version})
+Depends: ${misc:Depends}, libipe7.1.4 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.1.3
+IPEVER = 7.1.4
 
 %:
 	dh $@ --sourcedirectory=src
